import { BMAP_CONFIG } from './bmap-config';
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { BMapLoaderService } from './bmap-loader.service';
import { BMapDirective } from './bmap.directive';
var BMapModule = /** @class */ (function () {
    function BMapModule() {
    }
    BMapModule.forRoot = function (config) {
        return {
            ngModule: BMapModule,
            providers: [
                { provide: BMAP_CONFIG, useValue: config }
            ]
        };
    };
    BMapModule.decorators = [
        { type: NgModule, args: [{
                    declarations: [BMapDirective],
                    imports: [CommonModule],
                    exports: [BMapDirective],
                    providers: [BMapLoaderService],
                },] },
    ];
    /** @nocollapse */
    BMapModule.ctorParameters = function () { return []; };
    return BMapModule;
}());
export { BMapModule };
//# sourceMappingURL=bmap.module.js.map